API Reference
Execute GetExploratoryAnalysis
Executes the getExploratoryAnalysis function.
POST
/
v1
/
workflows
/
rollout
/
instances
/
{instance}
:getexploratoryanalysis
Execute GetExploratoryAnalysis
curl --request POST \
--url https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"createTime": "<string>",
"id": "<string>",
"messages": [
"<string>"
],
"metrics": [
{
"dimensions": [
{
"column": "<string>",
"dimensionTable": "<string>",
"factTable": "<string>"
}
],
"name": "<string>",
"calculation": "<string>",
"scheduledCalculation": "<string>"
}
],
"name": "<string>",
"state": "STATE_UNSPECIFIED",
"updateTime": "<string>",
"analysisResults": [
{
"analysisResult": "<string>",
"exposureFilterName": "<string>"
}
],
"conclusion": {
"text": "<string>",
"updateTime": "<string>"
},
"createdBy": "<string>",
"endTime": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"splitByExposureFilters": true,
"startTime": "<string>",
"useCustomDateRange": true,
"useScheduledCalculation": true
}Authorizations
Response
200 - application/json
OK
Was this page helpful?
⌘I
Execute GetExploratoryAnalysis
curl --request POST \
--url https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:getexploratoryanalysis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"createTime": "<string>",
"id": "<string>",
"messages": [
"<string>"
],
"metrics": [
{
"dimensions": [
{
"column": "<string>",
"dimensionTable": "<string>",
"factTable": "<string>"
}
],
"name": "<string>",
"calculation": "<string>",
"scheduledCalculation": "<string>"
}
],
"name": "<string>",
"state": "STATE_UNSPECIFIED",
"updateTime": "<string>",
"analysisResults": [
{
"analysisResult": "<string>",
"exposureFilterName": "<string>"
}
],
"conclusion": {
"text": "<string>",
"updateTime": "<string>"
},
"createdBy": "<string>",
"endTime": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"splitByExposureFilters": true,
"startTime": "<string>",
"useCustomDateRange": true,
"useScheduledCalculation": true
}
